<?php

namespace Neag\MainBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * LangVar
 * 
 * @ORM\Table(name="lang_var",indexes={@ORM\Index(name="scope", columns={"scope"}), @ORM\Index(name="name", columns={"name"})})  
 * @ORM\Entity  
 */
class LangVar
{
    /**
     * @var integer $id
     *
     * @ORM\Column(name="id", type="bigint")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;
    
    /**
     * @var string
     * @ORM\Column(name="scope", type="string", length=255)
     */
    private $scope;    

    /**
     * @var string
     * @ORM\Column(name="name", type="string", length=255)
     */
    private $name;    

    /**
     * @var string
     * @ORM\Column(name="value", type="text")
     */
    private $content;
    
    /**
     * @var string
     * @ORM\Column(name="format", type="string", length=16)
     */
    private $format;
    
    /**
     * Set scope
     *
     * @param string $scope
     * @return LangVar
     */
    public function setScope($scope)
    {
        $this->scope = $scope;

        return $this;
    }

    /**
     * Get scope
     *
     * @return string 
     */
    public function getScope()
    {
        return $this->scope;
    }

    /**
     * Set name
     *
     * @param string $name
     * @return LangVar
     */
    public function setName($name)
    {
        $this->name = $name;

        return $this;
    }

    /**
     * Get name
     *
     * @return string 
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Set content
     *
     * @param text $content
     * @return LangContent
     */
    public function setContent($content)
    {
        $this->content = $content;

        return $this;
    }

    /**
     * Get content
     *
     * @return text 
     */
    public function getContent()
    {
        return $this->content;
    }
    
    /**
     * Set format
     *
     * @param string $format
     * @return LangVar
     */
    public function setFormat($format)
    {
        $this->format = $format;

        return $this;
    }

    /**
     * Get format
     *
     * @return string 
     */
    public function getFormat()
    {
        return $this->format;
    }

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }
}
